Installer la dernière version de Ruby sur OS X El Capitan

Ruby est présent par défaut sur OS X, cependant, la version installé n’est pas la plus récente.
En effet, sur OS X El Capitan, la version installée est la version 2.0.

Dans ce petit tutoriel, je vous explique comment installer la version 2.3 de Ruby sur OS X El Capitan, mais la méthode pour installer une autre version plus récente est exactement la même.
Il vous suffira juste de changer les numéros de versions dans les commandes.

L’installation n’est pas très compliquée en elle-même, cependant, Ruby étant un langage de programmation et celui-ci s’adressant à des personnes ayant déjà un certain niveau en informatique, ce tutoriel s’adresse plus particulièrement aux personnes expérimentées.

Ceci étant dis, allons-y ! 🙂

Ouvrez un Terminal et tapez la commande suivante :

\curl -sSL https://get.rvm.io | bash -s stable --ruby

Cette commande installera RVM, qui est un outil permettant d’installer Ruby.
Une fois terminé, il vous faudra sûrement redémarrer votre Mac pour que RVM fonctionne.

Ensuite, exécutez la commande suivante :

rvm list known

Cette commande listera les versions disponibles de Ruby.

Pour installer Ruby 2.3, il faut donc taper la commande suivante :

rvm install ruby-2.3.0

Si vous souhaitez installer une autre version, changez ruby-2.3.0 par ruby-2.x.y.z, ou x, y et z représente un numéro de version.

Pour vérifier que Ruby 2.3 (ou la version que vous souhaitez installer) est correctement installée sur votre système, vous pouvez utiliser la commande ruby -v.
Si c’est toujours Ruby 2.0 qui est utilisé, tapez la commande suivante :

rvm use ruby-2.3.0

Voilà qui est fait. 😉